LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XGoalSeek Interface Referencepublished

provides seeking a goal value for a cell. More...

`import"XGoalSeek.idl";`

Inheritance diagram for XGoalSeek:

## Public Member Functions
com::sun::star::sheet::GoalResult | seekGoal ([in] com::sun::star::table::CellAddress aFormulaPosition, [in] com::sun::star::table::CellAddress aVariablePosition, [in] string aGoalValue)
| calculates a value which gives a specified result in a formula. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides seeking a goal value for a cell.

## Member Function Documentation

## ◆ seekGoal()

com::sun::star::sheet::GoalResult seekGoal | ( | [in] com::sun::star::table::CellAddress | aFormulaPosition,
|  | [in] com::sun::star::table::CellAddress | aVariablePosition,
|  | [in] string | aGoalValue
| ) |  |

calculates a value which gives a specified result in a formula.

Parameters

  aFormulaPosition | is the address of the formula cell used for the calculation.
  aVariablePosition | is the address of the cell that is used in the formula as variable.
  aGoalValue | is the value which should be reached during the goal seek.

Returns
  the result of the goal seek, including the value that results in the specified goal, using the specified formula.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XGoalSeek.idl